#include <stdio.h>


extern void fortran EGAD_DRV(
	int far *enlarge,	/* Enlarge factor for graphics printout */
	int far *boundary,	/* (X,Y)-(X,Y) to print out */
	int far *colors,	/* Array of printer color numbers */
	int far *pr_unit,	/* 1..3 = LPT1..3; -1..-4 = COM1..COM4 */
	int far *do_ff,		/* 0 = No Form feed, else form feed after */
	int far *vga_divisor,	/* 1..256, color #'s from 256-color modes are */
				/* divided by this, and the remainder is used */
				/* as the index into the colors[] array. */
	int far *errcod);	/* Returned error code (0=none) */

int printer_colors[16] = {0,1,2,3,4,5,6,7,0,1,2,3,4,5,6,7};
int print_boundary[4]  = {-1,-1,9999,9999};	/* whole screen */
int print_enlarge, printer_unit, formfeed_flag, vga_div, error_code;


main()
{
	print_enlarge=1;	/* Normal */
	printer_unit =1;	/* LPT1 */
	formfeed_flag=1;	/* Send FF */
	vga_div = 1;
	error_code = 0;		/* Assume no error */

	EGAD_DRV((int far *)&print_enlarge,
		(int far *)&print_boundary[0],
		(int far *)&printer_colors[0],
		(int far *)&printer_unit,
		(int far *)&formfeed_flag,
		(int far *)&vga_div,
		(int far *)&error_code);
	printf("EGAD error code returned: %d\n",error_code);

}